DRIVER_FIND(9)

NAME
driver_find - locate driver on a bus by its name.

SYNOPSIS

struct device_driver * driver_find (const char * name, struct bus_type * bus);

ARGUMENTS

name
    name of the driver.

bus bus to scan for the driver.

DESCRIPTION

Call kset_find_obj to iterate over list of drivers on a bus to find driver by name. Return driver if found.

Note that kset_find_obj increments driver's reference count.